# Source Generated with Decompyle++
# File: in.pyo (Python 2.5)

import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'cp1250', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xe2\x82\xac\xef\xbf\xbe\xe2\x80\x9a\xef\xbf\xbe\xe2\x80\x9e\xe2\x80\xa6\xe2\x80\xa0\xe2\x80\xa1\xef\xbf\xbe\xe2\x80\xb0\xc5\xa0\xe2\x80\xb9\xc5\x9a\xc5\xa4\xc5\xbd\xc5\xb9\xef\xbf\xbe\xe2\x80\x98\xe2\x80\x99\xe2\x80\x9c\xe2\x80\x9d\xe2\x80\xa2\xe2\x80\x93\xe2\x80\x94\xef\xbf\xbe\xe2\x84\xa2\xc5\xa1\xe2\x80\xba\xc5\x9b\xc5\xa5\xc5\xbe\xc5\xba\xc2\xa0\xcb\x87\xcb\x98\xc5\x81\xc2\xa4\xc4\x84\xc2\xa6\xc2\xa7\xc2\xa8\xc2\xa9\xc5\x9e\xc2\xab\xc2\xac\xc2\xad\xc2\xae\xc5\xbb\xc2\xb0\xc2\xb1\xcb\x9b\xc5\x82\xc2\xb4\xc2\xb5\xc2\xb6\xc2\xb7\xc2\xb8\xc4\x85\xc5\x9f\xc2\xbb\xc4\xbd\xcb\x9d\xc4\xbe\xc5\xbc\xc5\x94\xc3\x81\xc3\x82\xc4\x82\xc3\x84\xc4\xb9\xc4\x86\xc3\x87\xc4\x8c\xc3\x89\xc4\x98\xc3\x8b\xc4\x9a\xc3\x8d\xc3\x8e\xc4\x8e\xc4\x90\xc5\x83\xc5\x87\xc3\x93\xc3\x94\xc5\x90\xc3\x96\xc3\x97\xc5\x98\xc5\xae\xc3\x9a\xc5\xb0\xc3\x9c\xc3\x9d\xc5\xa2\xc3\x9f\xc5\x95\xc3\xa1\xc3\xa2\xc4\x83\xc3\xa4\xc4\xba\xc4\x87\xc3\xa7\xc4\x8d\xc3\xa9\xc4\x99\xc3\xab\xc4\x9b\xc3\xad\xc3\xae\xc4\x8f\xc4\x91\xc5\x84\xc5\x88\xc3\xb3\xc3\xb4\xc5\x91\xc3\xb6\xc3\xb7\xc5\x99\xc5\xaf\xc3\xba\xc5\xb1\xc3\xbc\xc3\xbd\xc5\xa3\xcb\x99'
encoding_table = codecs.charmap_build(decoding_table)
